#include "main.h"
#include "basico.h"

ALUNO le_alu(void){

  ALUNO alu;
  char linha[80];

  printf(" Nmero aluno (inscrio): ");
  fgets(linha,sizeof(linha),stdin);
  sscanf(linha,"%d",&alu.num);

  printf(" Nmero de contribuinte: ");
  fgets(linha,sizeof(linha),stdin);
  sscanf(linha,"%ld",&alu.num_cont);

  printf(" Nome: ");
  fgets(alu.nome,sizeof(alu.nome),stdin);
  alu.nome[strlen(alu.nome)-1]='\0';

  printf(" Morada: ");
  fgets(alu.morada,sizeof(alu.morada),stdin);
  alu.morada[strlen(alu.morada)-1]='\0';

  printf(" Telefone: ");
  fgets(alu.tel,sizeof(alu.tel),stdin);
  alu.tel[strlen(alu.tel)-1]='\0';

  printf(" Nmero da turma (-1 se ainda no tem turma): ");
  fgets(linha,sizeof(linha),stdin);
  sscanf(linha,"%d",&alu.turma);

  return alu;
}

TURMA le_tur(void){
  
  TURMA tur;
  char linha[80];
  int i;

  printf(" Nmero turma: ");
  fgets(linha,sizeof(linha),stdin);
  sscanf(linha,"%d",&tur.num);

  printf(" Grau: ");
  fgets(linha,sizeof(linha),stdin);
  sscanf(linha,"%d",&tur.grau);

  printf(" Nome prof.: ");
  fgets(tur.prof,sizeof(tur.prof),stdin);
  tur.prof[strlen(tur.prof)-1]='\0';


  for(i=0;i<6;i++){
    printf("\n Nmero de horas  %s: ",dia_semana[i]);
    fgets(linha,sizeof(linha),stdin);
    sscanf(linha,"%d",&tur.num_horas[i]);
    if(tur.num_horas[i]!=0){
      printf("\n Incio das aulas: ");
      fgets(linha,sizeof(linha),stdin);
      sscanf(linha,"%d",&tur.horas_ini[i]);
    } else
      tur.horas_ini[i]=-1;
  }

  return tur;
}

int pesq_alu2(int num){

  FILE *fp;
  char linha[80];
  int encontrou=0;
  ALUNO alu;

  system("clear");

  if ( (fp=fopen(FIC_ALU,"r+b"))==NULL){
    fprintf(stderr,"Erro ao abrir o ficheiro %s\n",FIC_ALU);
    getchar();
    return;
  }

  while(fread(&alu,sizeof(ALUNO),1,fp)==1){
    if(alu.num == num) {
      imprime_alu(alu);
      encontrou=1;
      fclose(fp);
      return 1;
    }
  }
  if(encontrou==0){
    printf("\n\n Aluno nao encontrado!!! \n");
    fclose(fp);
    return 0;
  }


}

int pesq_tur2(int num){

  FILE *fp;
  char linha[80];
  int encontrou=0;
  TURMA tur;

  system("clear");
  if ( (fp=fopen(FIC_TUR,"r+b"))==NULL){
    fprintf(stderr,"Erro ao abrir o ficheiro %s\n",FIC_TUR);
    getchar();
    return;
  }

  while(fread(&tur,sizeof(TURMA),1,fp)==1){
    if(num == tur.num){
      encontrou=1;
      imprime_tur(tur);
      printf("\n\n----------------------------------------\n");
      fclose(fp);
      return 1;
    }
  }
  if(encontrou==0){
    printf("\n\n Turma nao encontrada!!! \n");
    fclose(fp);
    return 0;
  }


}

void imprime_alu(ALUNO alu){

  printf("\n Nmero (inscrio): %d",alu.num);
  printf("\n Nmero de contribuinte: %ld",alu.num_cont);
  printf("\n Nome: %s",alu.nome);
  printf("\n Morada: %s",alu.morada);
  printf("\n Telefone: %s",alu.tel);
  printf("\n Turma: ");
  if(alu.turma == -1)
    printf("no atribuda");
  else
    printf("%d",alu.turma);
  
}
void imprime_tur(TURMA tur){

  int i;
  printf("\n Nmero: %d",tur.num);
  printf("\n Grau: %d",tur.grau);
  printf("\n Nome prof.: %s",tur.prof);
  printf("\n ---- Horrio ----");
  for(i=0;i<6;i++)
      if(tur.num_horas[i]>0)
	printf("\n %s das %d s %d",dia_semana[i],tur.horas_ini[i],tur.horas_ini[i]+tur.num_horas[i]);
  
}
